Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(2099)

Issue 1531983002: Replace ice_connection_to_client_unittest.cc with connection_unittest.cc (Closed)

Created:
4 years, 9 months ago by Sergey Ulanov
Modified:
4 years, 9 months ago
Reviewers:
joedow
CC:
chromium-reviews, chromoting-reviews_chromium.org
Base URL:
https://chromium.googlesource.com/chromium/src.git@master
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

Replace ice_connection_to_client_unittest.cc with connection_unittest.cc The new tests setup both ends of the connection, which also means they test both ends. Previously there were no unittests for ConnectionToHostImpl. It will also be possible to use the same tests for WebRTC-based connections. Committed: https://crrev.com/ba057a794e38c6c76fdc61a633d603a605caf9ce Cr-Commit-Position: refs/heads/master@{#365948}

Patch Set 1 : #

Patch Set 2 : #

Total comments: 6

Patch Set 3 : #

Patch Set 4 : #

Patch Set 5 : #

Unified diffs Side-by-side diffs Delta from patch set Stats (+249 lines, -130 lines) Patch
M remoting/protocol/BUILD.gn View 1 chunk +1 line, -1 line 0 comments Download
A remoting/protocol/connection_unittest.cc View 1 2 3 4 1 chunk +185 lines, -0 lines 0 comments Download
M remoting/protocol/fake_session.h View 1 2 3 chunks +11 lines, -6 lines 0 comments Download
M remoting/protocol/fake_session.cc View 1 2 chunks +30 lines, -5 lines 0 comments Download
M remoting/protocol/fake_stream_socket.h View 2 chunks +5 lines, -0 lines 0 comments Download
M remoting/protocol/fake_stream_socket.cc View 1 chunk +12 lines, -0 lines 0 comments Download
M remoting/protocol/ice_connection_to_client.cc View 2 chunks +4 lines, -4 lines 0 comments Download
D remoting/protocol/ice_connection_to_client_unittest.cc View 1 chunk +0 lines, -113 lines 0 comments Download
M remoting/remoting_test.gypi View 1 2 1 chunk +1 line, -1 line 0 comments Download

Messages

Total messages: 20 (11 generated)
Sergey Ulanov
4 years, 9 months ago (2015-12-17 01:25:27 UTC) #3
joedow
lgtm https://codereview.chromium.org/1531983002/diff/40001/remoting/protocol/connection_unittest.cc File remoting/protocol/connection_unittest.cc (right): https://codereview.chromium.org/1531983002/diff/40001/remoting/protocol/connection_unittest.cc#newcode99 remoting/protocol/connection_unittest.cc:99: nit: remove extra newline https://codereview.chromium.org/1531983002/diff/40001/remoting/protocol/fake_session.h File remoting/protocol/fake_session.h (right): ...
4 years, 9 months ago (2015-12-17 17:29:11 UTC) #4
Sergey Ulanov
https://codereview.chromium.org/1531983002/diff/40001/remoting/protocol/connection_unittest.cc File remoting/protocol/connection_unittest.cc (right): https://codereview.chromium.org/1531983002/diff/40001/remoting/protocol/connection_unittest.cc#newcode99 remoting/protocol/connection_unittest.cc:99: On 2015/12/17 17:29:11, joedow wrote: > nit: remove extra ...
4 years, 9 months ago (2015-12-17 17:36:18 UTC) #5
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1531983002/60001 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1531983002/60001
4 years, 9 months ago (2015-12-17 19:08:53 UTC) #8
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1531983002/80001 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1531983002/80001
4 years, 9 months ago (2015-12-17 21:21:31 UTC) #12
commit-bot: I haz the power
Try jobs failed on following builders: linux_chromium_chromeos_rel_ng on tryserver.chromium.linux (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.linux/builders/linux_chromium_chromeos_rel_ng/builds/144798)
4 years, 9 months ago (2015-12-17 22:16:09 UTC) #14
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1531983002/100001 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1531983002/100001
4 years, 9 months ago (2015-12-17 22:23:07 UTC) #17
commit-bot: I haz the power
Committed patchset #5 (id:100001)
4 years, 9 months ago (2015-12-18 00:29:24 UTC) #18
commit-bot: I haz the power
4 years, 9 months ago (2015-12-18 00:30:22 UTC) #20
Message was sent while issue was closed.
Patchset 5 (id:??) landed as
https://crrev.com/ba057a794e38c6c76fdc61a633d603a605caf9ce
Cr-Commit-Position: refs/heads/master@{#365948}

Powered by Google App Engine
This is Rietveld 408576698